<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::ActionImpl&lt; R(Args...), Impl &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structtesting_1_1internal_1_1ActionImpl_3_01R_07Args_8_8_8_08_00_01Impl_01_4.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::ActionImpl&lt; R(Args...), Impl &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::internal::ActionImpl&lt; R(Args...), Impl &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="structtesting_1_1internal_1_1ActionImpl_3_01R_07Args_8_8_8_08_00_01Impl_01_4__inherit__graph.svg" width="190" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::internal::ActionImpl&lt; R(Args...), Impl &gt;:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="structtesting_1_1internal_1_1ActionImpl_3_01R_07Args_8_8_8_08_00_01Impl_01_4__coll__graph.svg" width="190" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a4dededa4ec14ef85f71ca3978e83057e"><td class="memItemLeft" align="right" valign="top"><a id="a4dededa4ec14ef85f71ca3978e83057e"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>Base</b> = typename <a class="el" href="structtesting_1_1internal_1_1ImplBase.html">ImplBase</a>&lt; Impl &gt;::type</td></tr>
<tr class="separator:a4dededa4ec14ef85f71ca3978e83057e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcf7b7f64c8f966f5cc101176b6a35f9"><td class="memItemLeft" align="right" valign="top"><a id="adcf7b7f64c8f966f5cc101176b6a35f9"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>function_type</b> = R(Args...)</td></tr>
<tr class="separator:adcf7b7f64c8f966f5cc101176b6a35f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a056940cbe95b0ef5c0a10e2a4c654b69"><td class="memItemLeft" align="right" valign="top"><a id="a056940cbe95b0ef5c0a10e2a4c654b69"></a>
using&#160;</td><td class="memItemRight" valign="bottom"><b>args_type</b> = std::tuple&lt; Args... &gt;</td></tr>
<tr class="separator:a056940cbe95b0ef5c0a10e2a4c654b69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afc5fe33da4094b1be005bc182d1d2d31"><td class="memItemLeft" align="right" valign="top"><a id="afc5fe33da4094b1be005bc182d1d2d31"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ActionImpl</b> (std::shared_ptr&lt; Impl &gt; impl)</td></tr>
<tr class="separator:afc5fe33da4094b1be005bc182d1d2d31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97a9ef032b3804ba69ca675a0edb2843"><td class="memItemLeft" align="right" valign="top"><a id="a97a9ef032b3804ba69ca675a0edb2843"></a>
R&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (Args &amp;&amp;... arg) const</td></tr>
<tr class="separator:a97a9ef032b3804ba69ca675a0edb2843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add15fbdb69e763e8e2902e090fb77110"><td class="memTemplParams" colspan="2"><a id="add15fbdb69e763e8e2902e090fb77110"></a>
template&lt;std::size_t... arg_id, std::size_t... excess_id&gt; </td></tr>
<tr class="memitem:add15fbdb69e763e8e2902e090fb77110"><td class="memTemplItemLeft" align="right" valign="top">R&#160;</td><td class="memTemplItemRight" valign="bottom"><b>Apply</b> (<a class="el" href="structtesting_1_1internal_1_1IndexSequence.html">IndexSequence</a>&lt; arg_id... &gt;, <a class="el" href="structtesting_1_1internal_1_1IndexSequence.html">IndexSequence</a>&lt; excess_id... &gt;, const args_type &amp;args) const</td></tr>
<tr class="separator:add15fbdb69e763e8e2902e090fb77110"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="gmock-actions_8h_source.html">gmock-actions.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="structtesting_1_1internal_1_1ActionImpl_3_01R_07Args_8_8_8_08_00_01Impl_01_4.html">ActionImpl&lt; R(Args...), Impl &gt;</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
